import 'dart:async';
import 'dart:ffi';
import 'dart:core';

class DartBaseClass {
  final zone = Zone.current;

  Pointer<Void> cppObjectPointer = nullptr;
  Pointer<Void> toCpp() {
    if (cppObjectPointer != nullptr) {
      return cppObjectPointer;
    } else {
      return nullptr;
    }
  }
}

mixin DartBaseClassMixin implements DartBaseClass {
  final zone = Zone.current;

  Pointer<Void> cppObjectPointer = nullptr;
  Pointer<Void> toCpp() {
    if (cppObjectPointer != nullptr) {
      return cppObjectPointer;
    } else {
      return nullptr;
    }
  }
}