import 'package:flutter/foundation.dart';

class UnitRCError {
  UnitRCError._();

  static void report({required Object e, StackTrace? stack}) {
    FlutterError.reportError(FlutterErrorDetails(
      exception: e,
      stack: stack,
      library: "unit_rc",
    ));
  }

  static void reportWithMsg(String errorMsg) {
    try {
      throw Exception(errorMsg);
    } catch (e, stack) {
      report(e: e, stack: stack);
      rethrow;
    }
  }
}
